# Module os::mm::address

source · [−]
Expand description

Implementation of physical and virtual address and page number.

## Structs

PhysAddr

Definitions

PhysPageNum

physical page number

SimpleRange

a simple range structure for type T

SimpleRangeIterator

iterator for the simple range structure

VirtAddr

virtual address

VirtPageNum

virtual page number

## Constants

PA_WIDTH_SV39 🔒

physical address

PPN_WIDTH_SV39 🔒
VA_WIDTH_SV39 🔒
VPN_WIDTH_SV39 🔒

## Traits

StepByOne

## Type Definitions

VPNRange

a simple range structure for virtual page number